/// <reference types="react" />
import { BaseComponent } from '../base';
import { IBarcodeProps } from './barcode.interface';
export declare class Barcode extends BaseComponent<IBarcodeProps> {
    private tagId;
    /**
     * @stable [11.06.2018]
     * @param {Readonly<IBarcodeProps>} prevProps
     * @param {Readonly<{}>} prevState
     */
    componentDidUpdate(prevProps: Readonly<IBarcodeProps>, prevState: Readonly<{}>): void;
    /**
     * @stable [11.06.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [11.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [11.06.2018]
     */
    private refresh;
}
