"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_native_drawer_1 = require("react-native-drawer");
var universal_component_1 = require("../base/universal.component");
var RnDrawer = /** @class */ (function (_super) {
    __extends(RnDrawer, _super);
    function RnDrawer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [27.04.2018]
     * @returns {JSX.Element}
     */
    RnDrawer.prototype.render = function () {
        var _this = this;
        var props = this.props;
        // A drawer is based on https://github.com/root-two/react-native-drawer.
        // See the docs for more details.
        return (React.createElement(react_native_drawer_1.Drawer, { ref: function (ref) { return (_this.drawer = ref); }, panCloseMask: 0.8, captureGestures: false, content: props.content }, props.children));
    };
    /**
     * @stable [27.04.2018]
     */
    RnDrawer.prototype.open = function () {
        this.drawer._root.open();
    };
    /**
     * @stable [27.04.2018]
     */
    RnDrawer.prototype.close = function () {
        this.drawer._root.close();
    };
    return RnDrawer;
}(universal_component_1.UniversalComponent));
exports.RnDrawer = RnDrawer;
//# sourceMappingURL=rn-drawer.component.js.map