import * as React from 'react';
import { BaseComponent } from '../base';
import { IKeyboardProps, IKeyboardState } from './keyboard.interface';
export declare class Keyboard extends BaseComponent<IKeyboardProps, IKeyboardState> {
    static defaultProps: IKeyboardProps;
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardProps} props
     */
    constructor(props: IKeyboardProps);
    /**
     * @stable [08.05.2018]
     * @returns {React.ReactNode}
     */
    render(): React.ReactNode;
    /**
     * @stable [08.05.2018]
     * @param {KeyboardKeyT} key
     */
    private onSelect;
    /**
     * TODO dom accessor
     * @returns {IJqInput}
     */
    private readonly jField;
    /**
     * @stable [21.08.2018]
     * @returns {number}
     */
    private readonly currentPosition;
}
