"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var message_1 = require("../message");
var universal_list_component_1 = require("./universal-list.component");
var BaseList = /** @class */ (function (_super) {
    __extends(BaseList, _super);
    function BaseList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    BaseList.prototype.getMessage = function () {
        return (React.createElement(message_1.Message, __assign({}, this.getMessageComponentProps()), this.addActionElement));
    };
    Object.defineProperty(BaseList.prototype, "addActionElement", {
        /**
         * @stable [09.09.2018]
         * @returns {JSX.Element}
         */
        get: function () {
            var _this = this;
            return util_1.orNull(this.props.useAddAction, function () { return _this.uiFactory.makeIcon({ type: 'add', onClick: _this.onCreate }); });
        },
        enumerable: true,
        configurable: true
    });
    return BaseList;
}(universal_list_component_1.UniversalList));
exports.BaseList = BaseList;
//# sourceMappingURL=base-list.component.js.map