"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var native_base_1 = require("native-base");
var universal_message_component_1 = require("./universal-message.component");
var RnMessage = /** @class */ (function (_super) {
    __extends(RnMessage, _super);
    function RnMessage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable - 24.04.2018
     * @returns {string}
     */
    RnMessage.prototype.getProgressLabel = function () {
        return this.settings.messages.waitMessage;
    };
    /**
     * @stable - 24.04.2018
     * @param {string | JSX.Element} message
     * @param {React.ReactNode} node
     * @returns {JSX.Element}
     */
    RnMessage.prototype.getMessageWrapper = function (message, node) {
        return (React.createElement(native_base_1.View, null,
            React.createElement(native_base_1.Text, null, message),
            node));
    };
    return RnMessage;
}(universal_message_component_1.UniversalMessage));
exports.RnMessage = RnMessage;
//# sourceMappingURL=rn-message.component.js.map