import { IUniversalComponentPlugin, IUniversalScrollableComponent } from '../../entities-definitions.interface';
export declare class PersistentScrollPlugin implements IUniversalComponentPlugin {
    private component;
    private domAccessor;
    private top;
    private left;
    /**
     * @stable [13.12.2018]
     * @param {IUniversalScrollableComponent} component
     */
    constructor(component: IUniversalScrollableComponent);
    /**
     * @stable [18.12.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [18.12.2018]
     */
    componentDidUpdate(): void;
    /**
     * @stable [18.12.2018]
     */
    getSnapshotBeforeUpdate(): void;
    /**
     * @stable [18.12.2018]
     */
    private scrollToUniversalSelectedElement;
}
