"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../../definitions.interface");
var toolbar_tools_interface_1 = require("./toolbar-tools.interface");
var ToolbarToolsActionBuilder = /** @class */ (function () {
    function ToolbarToolsActionBuilder() {
    }
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    ToolbarToolsActionBuilder.buildRefreshActionType = function (section) {
        return "" + definitions_interface_1.ACTION_PREFIX + section + "." + toolbar_tools_interface_1.TOOLBAR_TOOLS_REFRESH_ACTION_TYPE;
    };
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    ToolbarToolsActionBuilder.buildFilterActionType = function (section) {
        return "" + definitions_interface_1.ACTION_PREFIX + section + "." + toolbar_tools_interface_1.TOOLBAR_TOOLS_FILTER_ACTION_TYPE;
    };
    return ToolbarToolsActionBuilder;
}());
exports.ToolbarToolsActionBuilder = ToolbarToolsActionBuilder;
//# sourceMappingURL=toolbar-tools-action.builder.js.map