import { IApiEntity } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [26.02.2019]
 * @param {TEntity} changes
 * @param {TEntity} entity
 * @param {TEntity} originalEntity
 * @returns {IApiEntity<TEntity extends IEntity>}
 */
export declare const apiEntityFactory: <TEntity extends IEntity = IEntity>(changes: TEntity, entity?: TEntity, originalEntity?: TEntity) => IApiEntity<TEntity>;
