"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var util_1 = require("../../../util");
var vue_index_1 = require("../field/vue-index");
var VueBaseTextField = /** @class */ (function (_super) {
    __extends(VueBaseTextField, _super);
    function VueBaseTextField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [21.10.2018]
     * @returns {string}
     */
    VueBaseTextField.prototype.getFieldClassName = function () {
        return _super.prototype.getFieldClassName.call(this) + " vue-text-field";
    };
    /**
     * @stable [17.11.2018]
     * @returns {string}
     */
    VueBaseTextField.prototype.getInputClassName = function () {
        return _super.prototype.getInputClassName.call(this) + " rac-flex-full";
    };
    /**
     * @stable [22.12.2018]
     * @returns {TMethods}
     */
    VueBaseTextField.prototype.getTemplateMethods = function () {
        return __assign({}, _super.prototype.getTemplateMethods.call(this), { onIconClick: this.onIconClick });
    };
    /**
     * @stable [22.12.2018]
     * @returns {string}
     */
    VueBaseTextField.prototype.getFieldAttachmentTemplate = function () {
        var _this = this;
        return util_1.ifNotNilThanValue(this.icon, function () { return ("<vue-icon className=\"vue-field-icon\"\n                   icon=\"" + _this.icon + "\"\n                   v-on:click.native=\"onIconClick\"/>"); }, '');
    };
    /**
     * @stable [21.12.2018]
     */
    VueBaseTextField.prototype.onIconClick = function () {
        // Do nothing
    };
    __decorate([
        vue_property_decorator_1.Prop({ default: function () { return true; } }),
        __metadata("design:type", Boolean)
    ], VueBaseTextField.prototype, "floatLabel", void 0);
    __decorate([
        vue_property_decorator_1.Prop({ default: function () { return 'text'; } }),
        __metadata("design:type", String)
    ], VueBaseTextField.prototype, "type", void 0);
    return VueBaseTextField;
}(vue_index_1.VueField));
exports.VueBaseTextField = VueBaseTextField;
//# sourceMappingURL=vue-base-textfield.component.js.map