/// <reference types="react" />
import { BaseContainer } from '../../component/base';
import { IContainerProps } from '../../props-definitions.interface';
export declare class LayoutContainer<TProps extends IContainerProps, TState = {}> extends BaseContainer<TProps, TState> {
    /**
     * @stable [19.08.2018]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [19.08.2018]
     * @returns {JSX.Element}
     */
    protected readonly snackbarElement: JSX.Element;
    /**
     * @stable [19.08.2018]
     */
    private clearAllNotifications;
}
