import { VueViewer } from '../vue-viewer.component';
import { IVueBasePictureViewerTemplateMethodsEntity } from './vue-picture-viewer.interface';
export declare class VueBasePictureViewer extends VueViewer {
    /**
     * @stable [29.11.2018]
     */
    constructor();
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    protected getPopupBodyTemplate(): string;
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    protected getPreviewTemplate(): string;
    /**
     * @stable [29.11.2018]
     * @returns {IVueBasePictureViewerTemplateMethodsEntity}
     */
    protected getTemplateMethods(): IVueBasePictureViewerTemplateMethodsEntity;
    /**
     * @stable [29.11.2018]
     * @returns {TElement}
     */
    protected getSelf<TElement extends Element>(): TElement;
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    private getBackgroundImage;
}
