import { VueCreateElementFactoryT, VueNodeT } from '../../../vue-definitions.interface';
import { VueBasePictureViewer } from './vue-base-picture-viewer.component';
export declare class VuePictureViewer extends VueBasePictureViewer {
    /**
     * @stable [29.11.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    render(createElement: VueCreateElementFactoryT): VueNodeT;
    /**
     * @stable [29.11.2018]
     */
    onOpenPopup(): void;
    /**
     * @stable [29.11.2018]
     */
    protected onClosePopup(): void;
    /**
     * @stable [06.01.2019]
     * @returns {string}
     */
    protected getClassName(): string;
}
