"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var di_1 = require("../../di");
var router_1 = require("../../router");
exports.makeRouterEffectsProxy = function (actionType) {
    return function () {
        var Effects = /** @class */ (function () {
            function Effects() {
            }
            Effects_1 = Effects;
            Effects.prototype.$onNavigateBackAction = function () {
                return router_1.RouterActionBuilder.buildNavigateBackAction();
            };
            var Effects_1;
            __decorate([
                redux_effects_promise_1.EffectsService.effects(actionType),
                __metadata("design:type", Function),
                __metadata("design:paramtypes", []),
                __metadata("design:returntype", Object)
            ], Effects.prototype, "$onNavigateBackAction", null);
            Effects = Effects_1 = __decorate([
                di_1.provideInSingleton(Effects_1)
            ], Effects);
            return Effects;
        }());
    };
};
exports.makeRouterEffectDoneEffectsProxy = function (actionType) {
    return exports.makeRouterEffectsProxy(redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(actionType));
};
//# sourceMappingURL=router-effects.proxy.js.map