"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var action_builder_1 = require("../../component/action.builder");
/**
 * @stable [06.07.2018]
 * @param {IFilteredListMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
exports.makeFilterManualApplyMiddleware = function (config) {
    var listSection = config.listSection, action = config.action;
    return [
        action_builder_1.FilterActionBuilder.buildActivateAction(listSection),
        action_builder_1.FilterActionBuilder.buildChangeAction(listSection, action.data),
        action_builder_1.ListActionBuilder.buildLoadAction(listSection)
    ];
};
//# sourceMappingURL=filtered-list.middleware.js.map