"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [21.10.2018]
 * @param {Map<TKey, TValue>} map
 * @returns {{[p: string]: TValue}}
 */
exports.fromMapToObject = function (map) {
    return R.mergeAll(Array.from(map.keys()).map(function (path) {
        var _a;
        return (_a = {}, _a[String(path)] = map.get(path), _a);
    }));
};
//# sourceMappingURL=converter.js.map